body,
html {
	background: #333;
	color: #fff;
	font-family: "Open Sans";
	margin: 0;
	padding: 0;
	width: 100%;
	height: 100%;
}

/* ===== Scrollbar CSS ===== */
/* Firefox */
* {
	scrollbar-width: auto;
	scrollbar-color: #888 transparent;
}
/* Chrome, Edge, and Safari */
::-webkit-scrollbar {
	width: 16px;
}
::-webkit-scrollbar-track {
	background: 0 0;
}
::-webkit-scrollbar-thumb {
	background-color: #888;
	border-radius: 12px;
	border: 3px solid transparent;
}
.dnone {
	display: none !important;
}
.container {
	display: grid;
	row-gap: 6px;
	align-content: center;
	align-items: center;
	justify-content: center;
	padding-top: 6px;
	padding-bottom: 100px;
	width: 100%;
}

/* MENU */
.menuElement {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 100%;
	background: #444;
	border-radius: 6px;
}

/* HEADER */
#header {
	display: flex;
	justify-content: center;
	align-items: center;
	box-sizing: border-box;
	padding: 20px;
	width: 100%;
}
#header img {
	width: 64px;
	margin: 0 12px;
}
#header .text {
	margin-bottom: 6px;
}
#header h2 {
	margin: 0;
}

/* PLAYBACK */
#controls {
	display: grid;
	grid-template-columns: 1fr 1fr;
	position: fixed;
	bottom: 0;
	left: 0;
}
.controls_button {
	display: flex;
	flex-direction: column;
	align-items: center;
	background: #444;
	border: none;
	border-radius: 6px;
	color: #fff;
	width: 100%;
	height: 100%;
	padding: 16px;
}
.controls_button i {
	font-size: 1.5rem;
	margin-bottom: 6px;
}
.controls_button:hover {
	background: #4a4a4a;
	cursor: pointer;
	text-shadow: #222 0 0 4px;
}
#show:hover {
	color: #32cd32;
}
#hide:hover {
	color: orange;
}

/* OPTIONS */
.options {
	display: flex;
	flex-direction: column;
	align-items: center;
	box-sizing: border-box;
	padding: 6px;
}
.options label {
	padding: 6px 0;
	font-weight: 500;
}
.options input[type="number"] {
	margin: 0 0 0 12px;
	width: 36px;
}

/* ALTERNATIVE OPTIONS */
.mini_button {
	display: flex;
	flex-direction: column;
	align-items: center;
	background: #444;
	border: none;
	border-radius: 6px;
	color: #fff;
	padding: 16px !important;
}
.mini_button i {
	font-size: 1.5rem !important;
	margin-bottom: 6px !important;
}
.mini_button:hover {
	background: #4a4a4a;
	cursor: pointer;
	text-shadow: #222 0 0 4px;
}
label.mini_button {
	font-size: 0.8rem;
}
input {
	border-radius: 5px;
	outline: 0;
	border: 0;
}
input[type="file"] {
	display: none;
}
.text-content {
	width: calc(100% - 60px);
	background-color: transparent;
	border: 0;
	outline: 0;
	font-size: 16px;
	font-weight: 300;
}
.disabled {
	cursor: not-allowed !important;
}
.disabled:hover {
	color: #444 !important;
}
.disabled img {
	filter: grayscale(0.5) !important;
}
.dnone {
	display: none !important;
}

/* POPUP */
#popup {
	display: flex;
	align-items: center;
	justify-content: space-around;
	position: fixed;
	top: 0;
	left: 0;
	z-index: 999;
	margin: 12px;
	padding: 12px;
	opacity: 0;
	visibility: hidden;
	transition: opacity 0.25s linear, visibility 0.25s linear;
	background: rgba(68, 68, 68, 0.75);
	border-radius: 8px;
	box-shadow: 0 0 12px #111;
	color: #fff;
}
#popup:not(.hidden) {
	opacity: 1;
	visibility: visible;
}
#popup .icon {
	margin-right: 12px;
	color: #fff;
	font-size: 1.25rem;
}
#popup i.fa-check-circle {
	color: #32cd32;
}
@media screen and (min-width: 1200px) {
	#controls {
		position: relative;
	}
}

/* CHANGE TITLE */
.title {
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}
.title-editor {
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	margin: 5px;
	width: 90%;
}
.title-editor input {
	width: 85%;
	padding: 4px;
	font-size: 16px;
	font-weight: 600;
	border-radius: 5px;
}
.title-editor-title {
	font-weight: 400;
}

/* MODE */
h4 {
	font-weight: 400;
	margin: 10px;
}
.selected {
	background-color: #353535;
}
.mode-selection {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	padding: 20px;
}
.radio {
	display: flex;
	justify-content: space-between;
	align-items: center;
	width: 400px;
}
.radio1,
.radio1 *,
.radio2,
.radio2 * {
	cursor: pointer;
}
.radio input {
	margin: 8px;
	scale: 1.2;
}

/* GAME SELECTION */
.challonge-all {
	padding: 0;
}
.challonge-title {
	text-align: center;
	font-size: 20px;
	padding: 10px;
}
.challonge-link {
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: center;
	font-size: 14px;
	padding: 10px;
}
.challonge-link input {
	margin: 10px;
}
.challonge {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	margin: 0;
}
.challonge-text {
	padding: 5px;
}
input[type="text"] {
	border-radius: 1px;
	font-weight: 600;
	font-size: 1.2em;
	padding: 7px;
	height: 16px;
	color: #000;
	background-color: #eee;
	border-radius: 10px;
	outline: 0;
	border: 0;
}
.challonge-matches-list {
	width: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
	background-color: #252525;
	border-radius: 5px;
	padding: 15px;
	box-sizing: border-box;
}
.matches {
	list-style: none;
	width: 100%;
	max-height: 300px;
	overflow-y: auto;
	margin: 20px 0;
	display: flex;
	flex-direction: column;
	align-items: center;
}
.matches li {
	padding: 5px;
	display: grid;
	width: 80%;
	grid-template-columns: 8% 10% 25% 10% 4% 10% 25% 8%;
	border-radius: 5px;
	overflow: visible;
	cursor: pointer;
}
.matches li * {
	padding: 2px;
	text-align: center;
	font-weight: 500;
	font-size: 1.2em;
}
.matches li img {
	width: 20px;
}
.li-icon {
	display: flex;
	align-items: center;
	justify-content: center;
}
.selected {
	background-color: #353535;
}

/* MANUAL SETTINGS */
.manual-all {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
}
.manual-title {
	font-size: 1.3em;
	text-align: center;
	margin: 15px;
}
.manual-selector {
	width: 75%;
	display: flex;
	align-items: center;
	justify-content: space-around;
}
.manual-selector select {
	width: 200px;
	height: 30px;
	background: #eee;
	color: #111;
	font-size: 1em;
	font-weight: 700;
	text-align: center;
	border-radius: 5px;
	outline: none;
}
.manual-selector option {
	background: #eee;
	color: #111;
	font-size: 1em;
	font-weight: 700;
}
.matches li:hover {
	background-color: #4a4a4a;
}

/* SELECTED  TEAMS*/
.challonge-player-list {
	width: 100%;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	padding: 10px 30px;
}
.cpl-title {
	text-align: center;
}
.playerss {
	width: 75%;
	display: flex;
	justify-content: space-around;
	padding-bottom: 10px;
}
.player-list-1,
.player-list-2 {
	width: 50%;
	list-style-type: none;
	padding: 0 10px;
	margin: 0;
}
.player1,
.player2 {
	font-size: 1.2em;
	padding: 5px 0;
	font-weight: 600;
}
.player1-inner,
.player2-inner {
	color: #ddd;
	font-size: 1em;
	text-indent: 10px;
}

/* PLAYER INFO EDIT SECTION */
.class,
.player {
	font-size: 20px;
	margin: 5px 0;
	padding: 5px;
	border-radius: 10px;
}
.class {
	background-color: #5992ca;
	height: 50px;
	color: #000;
	text-transform: uppercase;
	text-align: center;
	border: 2px solid rgba(0, 0, 0, 0.15);
	display: flex;
	justify-content: space-around;
	align-items: center;
	overflow: hidden;
}
.panels .fas {
	color: #fff;
}
.class select {
	border-radius: 5px;
	font-size: 0.8em;
	width: 85%;
	height: 100%;
	color: #111;
	font-weight: 600;
	background-color: #eee;
	cursor: pointer;
}
.class option {
	color: #111;
	text-align: center;
	background-color: #eee;
	cursor: pointer;
	font-weight: 600;
}
.classes-button {
	background-color: transparent;
	aspect-ratio: 1;
	height: calc(100% - 3px);
	border-radius: 5px;
	cursor: pointer;
	display: flex;
	align-items: center;
	justify-content: center;
}
.classes-button img {
	width: 30px;
	cursor: pointer;
	scale: 1;
	transition: 150ms ease-in-out;
}
.classes-button:hover img {
	scale: 1.2;
	transition: 150ms ease-in-out;
}
.classes-button:hover {
	background-color: transparent;
}
.rename-class {
	background-color: transparent;
	border: 0;
	margin: 0;
}
.rename-class:hover {
	background-color: transparent;
}
.player {
	background-color: #e7e7e7;
	height: 50px;
	color: #000;
	text-transform: capitalize;
	border: 2px solid rgba(0, 0, 0, 0.2);
	display: flex;
	align-items: center;
	justify-content: space-around;
}
.player-list-element {
	background-color: #e7e7e7;
	height: 50px;
	color: #000;
	border: 2px solid rgba(0, 0, 0, 0.2);
	display: flex;
	align-items: center;
	justify-content: space-around;
	border-radius: 5px;
	margin: 0 5px 5px 5px;
	overflow: hidden;
}
.players {
	max-height: 470px;
	margin: 2px 0;
	overflow: auto;
}
.manual {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}
.panels {
	width: 95%;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
}
.class input {
	width: 95%;
	height: 90%;
	font-size: 1em;
	padding: 7px;
	text-align: center;
}
input.classes-select-edit {
	border-radius: 5px;
	font-size: 0.8em;
	width: 83%;
	height: 65%;
	color: #111;
	background-color: #eee;
	margin: 5px 0;
	border: 1px solid transparent;
}
.player-list-element input {
	height: 95%;
	padding: 7px;
	font-size: 1.1em;
	font-weight: 600;
	width: 60%;
	background-color: #e7e7e7;
	border-radius: 20px;
	text-align: center;
}
.player-list-element img {
	width: 25px;
	cursor: pointer;
	scale: 1;
	transition: 150ms ease-in-out;
}
.player-list-element img:hover {
	scale: 1.3;
	transition: 150ms ease-in-out;
}
.player-list-element:last-child {
	margin: 0 5px;
}
.player:last-child:hover img {
	scale: 1.3;
	transition: 150ms ease-in-out;
}
.player:last-child {
	background-color: #40c258ff;
	cursor: pointer;
}
.player:last-child img {
	width: 35px;
	cursor: pointer;
	scale: 1;
	transition: 150ms ease-in-out;
}
.player:last-child:hover {
	background-color: #3aad4f;
}
.save-manual {
	width: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
	margin: 10px;
}

/* FILE UPLOAD */
.manual-json-players {
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
}
.manual-json-players-title {
	font-size: 1.5em;
	margin: 20px;
}
.manual-json-players a:visited {
	color: #fff;
}
input[type="file"] {
	display: none;
}
.manual-json-players a {
	margin: 20px;
	font-size: 1em;
}
#popup {
	position: fixed;
	top: 0;
	left: 0;
	height: 50px;
	margin: 10px;
	box-sizing: border-box;
	border-radius: 5px;
	box-shadow: 0 0 5px 0 #000;
	background-color: #555;
	padding: 5px 10px;
	display: flex;
	align-items: center;
	justify-content: left;
	opacity: 1;
	transition: opacity 250ms ease-in-out;
}
#popup div {
	font-size: 1.2em;
	font-weight: 300;
}
#popup * {
	margin: 5px;
}
.status-icon {
	width: 30px;
}
#popup.hidden {
	opacity: 0;
}
.fas {
	cursor: pointer;
}
@media screen and (max-width: 1000px) {
	body {
		overflow-x: hidden;
	}
	.challonge-link {
		flex-direction: column;
	}
	.radio {
		flex-direction: column;
	}
	.playerss {
		width: 90%;
	}
	.playerss ul {
		padding: 0;
	}
	.panels {
		width: 85%;
	}
	#header img {
		width: 64px;
	}
}
